Bug 1417993 - [dev-preview-stg] Metrics is not working
Summary: [dev-preview-stg] Metrics is not working
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Stefanie Forrester
QA Contact: Vikas Laad
URL:
Whiteboard: online_3.4.1
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 14:44 UTC by Vikas Laad
Modified: 2018-07-26 19:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-05 20:52:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vikas Laad 2017-01-31 14:44:18 UTC
Description of problem:
Seeing error on console when creating new apps, here is the error

An error occurred getting metrics. Open metrics URL | Don't show me again

When I click on the link I get

503 Service Unavailable

Version-Release number of selected component (if applicable):
 API URL:         https://api.dev-preview-stg.openshift.com
    Console URL:     https://console.dev-preview-stg.openshift.com/console
    Docker Version:  1.12.5.
    OC Version:      v3.4.1.2.
    Kube Version:    v1.4.0+776c994.
    Network Plugin:  redhat/openshift-ovs-multitenant.
    Metrics Version: 3.4.0.
    Logging Version: 3.4.0.
    Provisioning:  dynamicProvisioningEnabled: true

How reproducible:
Always

Steps to Reproduce:
1. Create a new app
2. Come back on overview page
3. See the error

Actual results:
An error occurred getting metrics. Open metrics URL | Don't show me again

Expected results:
Metrics should work

Additional info:

Comment 1 Matt Wringe 2017-01-31 14:51:41 UTC
There is no information in the bugzilla to proceed with.

We at least need the state of the Casssandra and Hawkular Metrics pod, as well as the logs for those pods.

We would also need some information about how metrics was installed. The various deployer options, etc.

Once you have provided the requested information, then we can proceed to determine what the error is.

Comment 12 Stefanie Forrester 2017-02-15 16:35:42 UTC
Metrics is online now.

Comment 13 Vikas Laad 2017-02-16 14:22:43 UTC
I dont see the metrics, when I click on metrics tab

 Metrics are not available.

An error occurred getting metrics for container mysql from https://metrics.dev-preview-stg.openshift.com/hawkular/metrics.

Status code 0

Comment 15 Stefanie Forrester 2017-02-21 22:36:50 UTC
Metrics have been redeployed. I can see them in the web console now. Can you check again? Thanks,

Comment 16 Vikas Laad 2017-02-22 01:00:02 UTC
Working in dev preview.


Note You need to log in before you can comment on or make changes to this bug.